> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wenium.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an SSH key



## OpenAPI

````yaml /openapi.json get /ssh-keys/{sshKey}
openapi: 3.1.0
info:
  title: Wenium Cloud API
  version: 2.0.0
  description: >-
    Complete API documentation for the Wenium Cloud platform.


    **Authentication.** All authenticated endpoints require a personal access
    token. Send the token in the `Authorization: Bearer <token>` header.
servers:
  - url: https://console.wenium.com/api
    description: Production API Server
security:
  - bearerAuth: []
paths:
  /ssh-keys/{sshKey}:
    get:
      summary: Get an SSH key
      parameters:
        - name: sshKey
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: SSH key details
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/SshKey'
components:
  schemas:
    SshKey:
      type: object
      properties:
        id:
          type: integer
          example: 1
        name:
          type: string
          example: My Laptop Key
        public_key:
          type: string
          example: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC...
        user_id:
          type: integer
          example: 1
        created_at:
          type: string
          format: date-time
          example: '2026-07-03T00:00:00.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-07-03T00:00:00.000000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum personal access token

````